#include <bits/stdc++.h>
#define mod 1000000007
#define pb push_back
#define mid(l, r) ((l)+(r))/2
#define len(a) (a).length()
#define sz(a) (a).size()
#define xx first
#define yy second
#define inf int(2e9)
#define ff(i, a, b) for(int (i) = (a); (i) <= (b); ++(i))
#define fb(i, a, b) for(int (i) = (a); (i) >= (b); --(i))


using namespace std;

typedef long long ll;
typedef pair<int,int> pii;

template<class T>
void print(const T niz[], const int siz)
{
    for(int i=0;i<siz;i++)
        cout << niz[i] << " ";
    cout << endl;
}

int n;
ll x;
ll mini;
ll maks;
int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n >> x;
    mini = 1e9;
    maks = -1e9;
    ff(i,0,n - 1){
        ll a;
        cin >> a;
        mini = min(mini, a);
        maks = max(maks, a);
    }
    if(x < mini){
        cout << maks - x << endl;
    }
    else if(x >= mini && x <= maks){
        cout << min(abs(x - maks), abs(x - mini)) + maks - mini << endl;
    }
    else if(x > maks){
        cout << x - mini << endl;
    }
    return 0;
}